Arch SectionPlane/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "==Beskrivning==")
(Created page with "Detta verktyg placerar en sektionplansvisare i nuvarande dokument, vilken definierar ett tvärsnitt eller vy-plan. visaren kan omplaceras och omorienteras genom att flytta och...")
Line 3: Line 3:
==Beskrivning==
==Beskrivning==


Detta verktyg placerar en sektionplansvisare i nuvarande dokument, vilken definierar ett tvärsnitt eller vy-plan. visaren kan omplaceras och omorienteras genom att flytta och rotera den, tills den visar den 2D vy som du vill erhålla. Om verktyget används utan att några objekt är markerade, så kommer alla objekt från scenen att inkluderas i 2D vyn. Om några objekt är markerade, så kommer 2D vyn endast att visa dessa objekt.
This tool places in the current Document a section plane gizmo, which defines a section or view plane. The gizmo can be relocated and reoriented by moving and rotating it, until it describes the 2D view you want to obtain. The Section plane object will only consider objects that were selected when it got created. Objects can later be added or removed from a SectionPlane object with the [[Arch Add]] and [[Arch Remove]] tools.


Upon creation, SectionPlane objects also insert a [[Drawing View|view]] of themselves into the active [[Drawing Module|Drawing page]], or create a new page if none exist. You can also add views of Section planes directly in the document, by using the [[Draft Shape2DView]] tool with a section plane selected.
Upon creation, SectionPlane objects also insert a [[Drawing View|view]] of themselves into the active [[Drawing Module|Drawing page]], or create a new page if none exist. You can also add views of Section planes directly in the document, by using the [[Draft Shape2DView]] tool with a section plane selected.

Revision as of 21:19, 6 December 2013

Arch SectionPlane

Menyplacering
Arch -> Section Plane
Arbetsbänkar
Arch
Standard genväg
S P
Introducerad i version
-
Se även
Ingen

Beskrivning

Detta verktyg placerar en sektionplansvisare i nuvarande dokument, vilken definierar ett tvärsnitt eller vy-plan. visaren kan omplaceras och omorienteras genom att flytta och rotera den, tills den visar den 2D vy som du vill erhålla. Om verktyget används utan att några objekt är markerade, så kommer alla objekt från scenen att inkluderas i 2D vyn. Om några objekt är markerade, så kommer 2D vyn endast att visa dessa objekt.

Upon creation, SectionPlane objects also insert a view of themselves into the active Drawing page, or create a new page if none exist. You can also add views of Section planes directly in the document, by using the Draft Shape2DView tool with a section plane selected.

How to use

  1. Select objects you want to be included in your section view
  2. Press the SectionPlane button or press S then P keys
  3. Move/rotate the Section Plane into correct position
  4. Press the Recompute button to update the view

Options

  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document

  • Create additional views of a section plane by selecting it, then using the Draft Drawing tool

Properties

  • VyDisplay Size: The size of the section plane gizmo in the 3D view

Scripting

The Section Plane tool can by used in macros and from the python console by using the following function:

makeSectionPlane ([objectslist])
Creates a Section plane objects including the given objects.

Example:

import FreeCAD, Draft, Arch
trace = Part.Line(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall])